/* FONT SIZE */

:root {
  --step--5: clamp(0.56rem, calc(0.54rem + 0.09vw), 0.6rem);
  --step--4: clamp(0.62rem, calc(0.59rem + 0.18vw), 0.72rem);
  --step--3: clamp(0.7rem, calc(0.64rem + 0.3vw), 0.87rem);
  --step--2: clamp(0.79rem, calc(0.7rem + 0.46vw), 1.04rem);
  --step--1: clamp(0.89rem, calc(0.76rem + 0.66vw), 1.25rem);
  --step-0: clamp(1rem, calc(0.82rem + 0.91vw), 1.5rem);
  --step-1: clamp(1.13rem, calc(0.88rem + 1.23vw), 1.8rem);
  --step-2: clamp(1.27rem, calc(0.94rem + 1.63vw), 2.16rem);
  --step-3: clamp(1.42rem, calc(1rem + 2.12vw), 2.59rem);
  --step-4: clamp(1.6rem, calc(1.05rem + 2.74vw), 3.11rem);
  --step-5: clamp(1.8rem, calc(1.1rem + 3.51vw), 3.73rem);
  --step-6: clamp(2.03rem, calc(1.14rem + 4.46vw), 4.48rem);
}

/* COLORS */
:root {
  --grey-0: rgb(40, 40, 40);
  --grey-1: #444;
  --grey-2: rgb(82, 82, 82);
  --grey-3: #888;
  --grey-4: #787878;
  --grey-5: rgb(182, 182, 182);
  --grey-6: #c9c9c9;

  --text-light: #fff;
  --text-dark: rgb(48, 48, 48);

  --primary-1: #00f;
  --primary-2: #ff8000;

  --shade-1: rgb(5, 5, 189);
  --shade-2: #c1610077;

  --input-form: rgb(232, 232, 232);
  --bg-light1: rgb(63, 63, 63);
  --bg-light2: #4b4a4a;

  --bg-dark: #fafafa;
}

/* SPACE */

:root {
  --sp--5: clamp(0.5rem, calc(0.57rem + -0.1vw), 0.56rem);
  --sp--4: clamp(0.6rem, calc(0.63rem + -0.04vw), 0.62rem);
  --sp--3: clamp(0.7rem, calc(0.7rem + 0.04vw), 0.72rem);
  --sp--2: clamp(0.79rem, calc(0.76rem + 0.14vw), 0.87rem);
  --sp--1: clamp(0.89rem, calc(0.83rem + 0.28vw), 1.04rem);
  --sp-0: clamp(1rem, calc(0.91rem + 0.45vw), 1.25rem);
  --sp-1: clamp(1.13rem, calc(0.99rem + 0.68vw), 1.5rem);
  --sp-2: clamp(1.27rem, calc(1.07rem + 0.97vw), 1.8rem);
  --sp-3: clamp(1.42rem, calc(1.16rem + 1.34vw), 2.16rem);
  --sp-4: clamp(1.6rem, calc(1.24rem + 1.8vw), 2.59rem);
  --sp-5: clamp(1.8rem, calc(1.33rem + 2.38vw), 3.11rem);
  --sp-6: clamp(2.03rem, calc(1.41rem + 3.1vw), 3.73rem);
  --sp-7: clamp(2.28rem, calc(1.48rem + 4vw), 4.48rem);
  --sp-8: clamp(2.57rem, calc(1.54rem + 5.11vw), 5.38rem);
  --sp-9: clamp(2.89rem, calc(1.59rem + 6.48vw), 6.45rem);
  --sp-10: clamp(3.25rem, calc(1.61rem + 8.17vw), 7.74rem);

  --font-1: "Manrope", sans-serif;
  --font-2: "Overpass Mono", Inconsolata, "Courier New", Courier, monospace;
}

/* Animation RIGHT */

@keyframes fadeInRight {
  from {
    transform: translate3d(-30px, 0px, 0);
  }

  to {
    transform: translate3d(0, 0, 0);
    opacity: 1;
  }
}

@-webkit-keyframes fadeInRight {
  from {
    transform: translate3d(-30px, 0px, 0);
  }

  to {
    transform: translate3d(0, 0, 0);
    opacity: 1;
  }
}

.animated {
  animation-duration: 1s;
  animation-fill-mode: both;
  -webkit-animation-duration: 1s;
  -webkit-animation-fill-mode: both;
}

.animatedFadeInRight {
  opacity: 0;
}

.fadeInRight {
  opacity: 0;
  animation-name: fadeInRight;
  -webkit-animation-name: fadeInRight;
}

.email--fixed--container {
  display: none;
}
/* email fixed */
.email--fixed--container {
  color: var(--primary-2);
  font-family: var(--font-1);
  /* font-size: var(--sp--2); */

  z-index: 1;
  top: 37vh;
  right: 1.5rem;
  text-transform: uppercase;
  position: fixed;
  font-weight: 500;
  letter-spacing: 1.1px;
  writing-mode: vertical-rl;
  text-orientation: mixed;
  cursor: pointer;
  padding: 0.5px;
}

.email--fixed--container:hover,
.email--fixed--container:active {
  border-left: 3px solid var(--primary-1);
  transition: 0.05s;
}

.email--fixed:link,
.email--fixed:visited {
  color: var(--bg-light2);
  font-weight: 500;
  letter-spacing: 3px;
  text-decoration: none;
  transition: 0.5s;
}

*,
*::after,
*::before {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

html {
  font-family: var(--font-1);
  font-weight: 400;
  scroll-behavior: smooth;
  color: var(--grey-2);
  background-color: var(--bg-dark);
}

body {
  padding: 0;
  margin: 0;
}
.header--grid {
  display: grid;
  align-items: center;
}
nav {
  display: none;
}

.main-grid {
  display: grid;
  grid-template-rows: 100vh 90rem 60rem 0rem repeat (4, 100%);
}

.main {
  min-height: 100%;
  margin: 0 auto;
  margin-top: 5rem;
  /* min-height: 100vh; */
  color: var(--bg-light1);
}
img {
  width: 100%;
}

h1 {
  font-size: clamp(var(--sp-7), 5vw, var(--sp-6));
  line-height: min(1, 2);
  color: var(--grey-2);
}

h2 {
  font-size: var(--step-4);
  line-height: 1.5;
}

h3 {
  font-size: var(--step--4);
  font-weight: 600;
  text-transform: uppercase;
  padding: var(--sp-1) 0;
  margin: 1.5rem minmax(2rem, 5%, 100rem) 0;
  color: var(--grey-4);
  line-height: 1.3rem;
  /* background-color: red; */
}

h4 {
  font-size: max(var(--step--5), var(--step--3));
  text-transform: uppercase;
  font-weight: 500;
}

.line {
  border-bottom: 0.5rem solid var(--primary-2);
  width: 3rem;
  margin: 1rem 0;
}

.container {
  /* background-color: blue; */
  padding: 0;
  margin: 0;
  display: grid;
  justify-content: center;
  justify-items: center;
  align-items: center;
  height: 100%;
}

.container--child {
  /* display: grid; */
  /* justify-content: center; */
  margin: 0 auto;
  padding: 0;
  height: 100%;
}

.container--child.s02,
.container--child.s04 {
  display: grid;
  justify-content: center;
}
.section--info {
  color: var(--bg-light1);
  padding: 4rem var(--sp-8) 0;
  margin: 0 0 3rem;
}

.section--title {
  align-self: end;
  color: var(--grey-2);
  /* margin: 1rem 0; */
}

.section--subtitle {
  align-self: start;
  margin: 0;
  padding: 0;
  letter-spacing: 1.3px;
}
.division-top {
  border: none;
  border-top: 1px solid var(--grey-6);
}

/* sections */

.section--01,
.section--02,
.section--03,
.section--04,
.section--05,
.section--06,
.section--07 {
  height: 100%;
}

/* header */

header {
  background-color: var(--bg-dark);
  width: 100vw;
  position: fixed;
  justify-content: center;
  border-bottom: 3px solid var(--primary-1);
  z-index: 2;
}

/* info inside header   */
.header--grid {
  display: grid;
  height: 4rem;

  color: var(--bg-light2);

  padding: 0 2.5rem;
  max-width: 60rem;
  grid-template-columns: 3fr 1fr;
  margin: 0 auto;
}

span {
  padding: 0;
  margin: 0;
}

.logo--container {
  display: flex;
  align-items: center;
  margin: 0;
  padding: 0;
  column-gap: 0.5rem;
  text-decoration: none;
}

.logo--container > * {
  align-self: center;
}
.logo {
  max-width: 2rem;
  max-height: 2rem;
  background-size: cover;
}

.logo--name {
  font-size: max(var(--step--3), var(--step--2));
  display: inline-block;
  padding: 0;
  margin: 0;
  color: var(--bg-light2);
}

/* section 1 */

.section--01 {
  background-image: linear-gradient(
      rgba(250, 250, 250, 0.043),
      rgba(250, 250, 250, 0.112),
      rgba(250, 250, 250, 0.982)
    ),
    url("../images/white.jpg");

  height: 40rem;
  background-size: cover;
  margin: 0 auto;
}

.btn:link,
.btn:visited {
  color: var(--bg-dark);
  display: inline-block;
  background-color: var(--primary-1);
  text-decoration: none;
  font-family: var(--font-2);
  font-size: var(--step--2);
  font-weight: 600;
  letter-spacing: 1.5px;
  line-height: 1rem;
  padding: var(--sp-1) var(--sp-4);
  text-align: center;
  border-radius: 50px;
  transition: 0.5s;
  margin: 1.7rem auto;
}

.btn:hover,
.btn:active {
  background-color: var(--shade-1);
}

/* section 2 */

.phone--ventur--hammer {
  width: 80%;
  margin: 2rem auto;
}
.logos--container {
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-template-rows: repeat(3, 1fr);
  padding: 1rem;
  gap: 1rem;
  align-items: center;
  justify-items: center;
  justify-content: center;
  margin: 1rem 1rem;
  border-radius: 0.8rem;
}

.logos--container > * {
  align-self: center;
  justify-self: center;
  /* width: 1rem; */
}

.logos--container > *:nth-child(3) {
  width: 5rem;
}

/* section 3 */

.services {
  height: 90%;
  display: grid;
  grid-template-columns: 1fr;

  align-items: center;
  justify-items: center;
  gap: 2rem;
  margin: 2rem 0;
  text-align: center;
}

.services div {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-items: center;
}

.services div h3 {
  font-size: var(--step--1);
  font-family: var(--font-1);
}
.services img {
  width: var(--step-5);
  /*  */
  text-align: center;
}

/* section 4 */

.section--04 {
  background-color: var(--bg-dark);
}

.laptop--section--04 {
  width: 80%;
  margin: 0 auto 3rem;
}

.items {
  display: grid;
  margin: 0 0.5rem;
  border-radius: 9px;
  /* border: 1px solid #fff; */
  padding: 2rem 1rem;
}
.item {
  padding: 0 1rem 2rem;
}

.item.item-1 h3,
.item.item-2 h3,
.item.item-3 h3,
.item.item-4 h3 {
  color: var(--grey-2);
}
.item > * {
  color: var(--grey-3);
}

.mini-icons {
  width: 3rem;
}

.item-1,
.item-2,
.item-3,
.item-4 {
  text-align: center;
}

.item h3 {
  font-size: 1rem;
  color: #777;
  font-weight: 800;
  padding: 0;
}

/* section 5 Testimonials */

.cards {
  display: grid;
  grid-template-rows: repeat(3, 1fr);
  margin: 0 auto;
}
.card-wrap {
  display: grid;
  padding: 1rem;
  margin: 3rem 0.5rem;
  border: 1px solid var(--bg-light2);
  z-index: 1;
  border-radius: 0.5rem;
  grid-template-columns: 1fr;
  grid-template-rows: 1fr 6rem;
}

.card--section--02 {
  border-top: 0.5px solid var(--bg-light2);
  align-self: end;
}

.card--section--01,
.card--section--02 {
  padding: 1rem;
}

.section--02 .card--section--02 {
  font-size: 0.8rem;
  font-weight: 600;
}
.card--author {
  color: var(--grey-3);
  display: flex;
  gap: 1rem;
  align-items: center;
}

.author--picture {
  width: 4rem;
  height: 4rem;
  border-radius: 1rem;
  background-color: #efe9e7;
  border: 3px solid var(--primary-1);
  box-shadow: 0.5rem 0.5rem 3rem rgba(68, 68, 68, 0.16);
}

.card--testimony {
  color: var(--bg-light2);
  font-size: var(--step--1);
  line-height: 1.5;
  /* z-index: 3; */
  /* padding: 0 3rem; */
}

/* section 6 contact */

.section--06 {
  text-align: center;
  /* padding-top: 3rem; */
}

.si6 {
  display: grid;
}

.si6 div {
  justify-self: center;
  /* margin: 0rem; */
  padding: 0 3rem;
}

.container--child {
  /* padding: 0 2rem; */
  /* text-align: center; */
  color: var(--bg-light1);
}

.section--06--w {
  display: grid;
  grid-template-columns: 1fr;
}

.full--address {
  line-height: 1.8;
  text-align: center;
  font-size: var(--sp--2);
  margin: 2rem 1rem;
}

.email:link,
.email:visited {
  color: var(--grey-3);
}
.contact--form--body {
  display: grid;

  padding: 3rem 1rem;
  color: var(--grey-3);
  text-align: left;
}
.contact--form {
  display: grid;
  grid-template-rows: repeat(3, fr) 3rem;
}

.contact--message {
  height: 5rem;
  color: var(--bg-light2);
  background-color: var(--input-form);

  border: none;
  resize: none;
}

.form--message {
  display: grid;
  /* grid-template-columns: 10px 1fr; */
}
.form--item {
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: 1fr 1fr;
  padding: 1rem 1rem 0;
}

.form--message {
  grid-template-columns: 1fr;
  grid-template-rows: 2.5rem 1fr;
}

.form--item {
  margin: 0 0 1rem;
}
.form--item input {
  height: 2rem;
  background-color: var(--input-form);

  border: none;
  color: var(--bg-light2);
  /* margin: 0 0 3rem; */
}

.contact--btn {
  padding: 1rem 2rem;
  text-align: center;
  font-family: var(--font-2);
  font-size: var(--step--2);
  font-weight: 600;
  letter-spacing: 1.5px;
  line-height: 1rem;
  background-color: var(--primary-1);
  color: var(--bg-light1);
  border: none;
  border-radius: 50px;
  margin: 2rem 0;
  color: var(--bg-dark);
}

.contact--btn:hover,
.contact--btn:active {
  background-color: var(--shade-1);
}

.fa-facebook,
.fa-twitter,
.fa-instagram,
.fa-linkedin {
  color: #c9c9c9;
  text-decoration: none;
  width: 3em;
  height: 3em;
}

.social--media--icons {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  justify-items: center;
  /* width: 2rem; */
  font-size: var(--sp-4);
}

.fa {
  display: inline-block;
  text-decoration: none;
}

.fa:hover {
  opacity: 0.7;
}
/* section 07 footer */

.section--07 {
  padding: 5rem 0;
  background-color: var(--grey-0);
  color: var(--grey-3);
}
.container--child.s07 {
  display: flex;
  align-items: center;
  height: 3rem;
}

.section--title--end {
  color: var(--grey-2);
}

@media (min-width: 26rem) {
  .section--01 {
    height: 40rem;
  }
  .container--child.s02 {
    grid-template-columns: 1fr 1fr;
  }

  .phone--ventur--hammer {
    width: 100%;
  }
  .logos--container {
    grid-column: 1 / -1;
    grid-template-columns: repeat(3, 1fr);
  }

  /* section 3 - 26rem */

  .services {
    grid-template-columns: 1fr 1fr 1fr;

    align-items: center;
    justify-items: center;
    gap: 0rem;
    margin: 2rem 1rem;
  }

  /* section 4 - 26rem */

  .items {
    grid-template-columns: 1fr 1fr;
    padding: 2rem 0rem;
  }
  .item-3,
  .item-4 {
    grid-column: 1 /-1;
  }
}

@media (min-width: 40rem) {
  /* nav */

  .section--01 {
    height: 40rem;
  }

  .nav {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    justify-content: space-between;
    gap: 0.5rem;
  }

  .nav a {
    text-decoration: none;
    color: var(--bg-light1);
  }

  .nav--item:hover {
    color: var(--primary-1);
  }
  /* front page */

  .main {
    display: grid;
    align-items: center;
    justify-items: center;
  }
  .si1,
  .si4,
  .si5 {
    padding: 3rem 1rem 0rem;
    margin: 0;
    align-self: center;
  }

  .si5 {
    display: grid;
    justify-items: center;
  }
  .s01,
  .s02,
  .s03,
  .s04,
  .s05 {
    padding: 0 3rem;
  }
  .s03 {
    gap: 1rem;
  }

  .container--child.s03 {
    text-align: center;
    align-items: center;
    justify-items: center;
  }

  .section--03 {
    padding: 4rem 0;
  }
  .si3 {
    display: grid;
  }
  .section--info.si3 div {
    text-align: center;
    /* align-self: center; */
    justify-self: center;
  }
  .s02 {
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 25rem 12rem;
  }
  .services {
    padding: 0;
    margin: 0;
  }

  .phone--ventur--hammer {
    max-width: 22rem;
  }

  /* .s01, */
  .s02,
  .s03,
  .s04,
  .s05 {
    max-width: 45rem;
  }
  .si2 {
    align-self: center;
    padding: 0;
    margin: 0;
  }
  .logos--container {
    padding: 0;
    margin: 0;
    grid-template-columns: repeat(6, 1fr);
    /* margin: 1rem 5rem; */
    gap: 0.5rem;
    grid-template-rows: repeat(2, 1fr);
  }

  .logos--container > *:nth-child(2) {
    width: 6rem;
  }

  .logos--container > *:nth-child(4) {
    width: 5rem;
  }

  .logos--container > *:nth-child(5) {
    width: 5rem;
  }
  .logos--container > *:nth-child(6) {
    width: 3rem;
  }

  /* section 4 - 40rem */

  .section--04 {
    margin-top: 2rem;
  }
  .container--child.s04 {
    grid-template-columns: 1fr 1fr;
  }

  .laptop--section--04 {
    width: 100%;
    align-self: center;
  }

  .items {
    grid-column: 1/-1;
  }

  .item-3 {
    grid-column: 1 /2;
  }
  .item-4 {
    grid-column: 2 /-1;
  }

  h2.section--title {
    line-height: 1;
  }
}

@media (min-width: 64rem) {
  /* email - 64rem  */
  .email--fixed--container {
    display: inline-block;
    font-size: var(--sp--4);
  }

  /* Global */
  .s02,
  .s03,
  .s04,
  .s05 {
    max-width: 55rem;
  }

  /* section 1 - 64rem  */

  .section--01 {
    height: 40rem;
  }
  .si1 {
    width: 80%;
    margin: 0 auto;
  }

  /* section 2 - 64rem  */
  .section--info.si2 {
    align-self: center;
  }

  .section--02,
  .section--03 {
    padding: 5rem 0;
  }

  .section--info.si2,
  .section--info.si3 {
    padding: 0;
  }

  .logos--container {
    grid-template-rows: 1fr;

    padding: 0;
    margin: 0;
  }

  /* section 5 testimonials 64rem */

  .cards {
    grid-template-rows: 1fr 0.5fr;
    grid-template-columns: 1fr 1fr;
  }

  .card-3 {
    /* background-color: red; */
    grid-column: 1 / -1;
    /* height: 100%; */
  }
  .card-wrap {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 1fr 6rem;
  }
  .card--section--02 {
    align-self: end;
  }
}

@media (min-width: 75rem) {
  /* email - 75rem  */

  .section--01 {
    height: 100vh;
  }

  .email--fixed--container {
    font-size: var(--sp--3);
  }

  /* global */
  .s02,
  .s03,
  .s04,
  .s05 {
    max-width: 75rem;
    padding: 0rem;
    padding-top: 2rem;
    padding-bottom: 2rem;
  }

  /* Header - 75rem */

  .header--grid {
    padding-left: 0;
    padding-right: 0;
    max-width: 85rem;
  }

  /* section 1 - 75rem */
  .section--01 {
    width: 100vw;
  }

  /* section 3 - 75rem */
  .section--info.si3 {
    padding: 2rem 0 0rem;
  }

  .service--01 img,
  .service--02 img,
  .service--03 img {
    width: 6rem;
    height: 6rem;
  }

  /* section 4 - 75rem */
  .s04 {
    margin-bottom: 3rem;
  }

  .card-3 {
    grid-column: 3 / -1;
  }

  .cards {
    grid-template-rows: 1fr 0.5fr;
    grid-template-columns: 1fr 1fr 1fr;
    grid-template-rows: 1fr;
  }
  .item > * {
    padding: 0 7rem;
  }

  .item h3 {
    font-size: var(--step-0);
  }
  .item p {
    font-size: var(--step--1);
    line-height: 1.5;
  }

  .logos--container {
    width: 60rem;
  }

  .logos--container > * {
    transform: scale(130%);
  }
  /* section 4  - 75rem */
  .laptop--section--04 {
    width: 80%;
  }

  .container--child.s04 {
    max-width: 80%;
  }
  .si4 {
    padding-left: 5rem;
  }
}

@keyframes slideInFromDown {
  from {
    transform: translateY(30%);
    opacity: 0;
  }
  to {
    transform: translateY(0%);
    opacity: 1;
  }
}

.animate-on-scroll {
  animation: slideInFromDown 1s ease-out forwards;
}

.site-footer {
  background-color: #343333;
  /* color: #fff; */

  padding: 20px 0;
  font-size: 14px;
}

.footer-container {
  display: flex;
  gap: 3rem;
  justify-content: space-around;
  margin: 0 auto;
  padding: 20px 50px;
}

.footer-section h4 {
  margin-bottom: 20px;
}

.footer-section ul,
.footer-section p {
  list-style: none;
  padding: 0;
  margin: 0;
}

.footer-section ul li a {
  text-decoration: none;
}

.social-icons a {
  display: inline-block;
  margin-right: 10px;
  /* color: #555555; */
  font-size: 20px;
}

.footer-bottom {
  text-align: center;
  padding: 10px 20px;
}

@media (max-width: 768px) {
  .footer-container {
    flex-direction: column;
    align-items: center;
  }
}

.site-footer {
  /* background-color: #2c3e50; */
  color: #fff;

  color: rgb(127, 126, 126);
  padding: 20px;
  text-align: center;
}

.footer-content {
  text-align: left;

  display: flex;
  justify-content: space-around;
  gap: 40px;
  flex-wrap: wrap;
}

.footer-section {
  margin: 10px;
}

.footer-section h4 {
  margin-bottom: 15px;
}

.footer-section ul {
  /* color: #fff; */
  list-style: none;
  padding: 0;
}

.footer-section ul li,
.footer-section p {
  margin-bottom: 10px;
}

.footer-section a {
  color: #908f8f;
  text-decoration: none;
}

.footer-bottom {
  margin-top: 20px;
  font-size: 14px;
}

@media (max-width: 768px) {
  .footer-content {
    flex-direction: column;
  }

  .footer-section {
    margin: 20px 0;
  }
}
